- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 1eb0ca28-d907-44ee-bdc5-0500f4316d83
    creation_time: 2023-02-17T12:13:12.071634Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1-ll.c
      input_file_hashes:
        c/nla-digbench/sqrt1-ll.c: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1-ll.c
    file_hash: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
    line: 29
    column: 0
    function: main
  loop_invariant:
    string: t == 2*a+1 && s ==  ( a+1 ) * ( a+1 )  && t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: acf8afad-8175-4d4d-ad7d-90d1774807d0
    creation_time: 2023-02-17T12:13:12.071918Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1-ll.c
      input_file_hashes:
        c/nla-digbench/sqrt1-ll.c: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1-ll.c
    file_hash: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
    line: 30
    column: 0
    function: main
  location_invariant:
    string: t == 2*a+1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1792bced-da66-4df2-81e0-fbdb3a6e4e06
    creation_time: 2023-02-17T12:13:12.072035Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1-ll.c
      input_file_hashes:
        c/nla-digbench/sqrt1-ll.c: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1-ll.c
    file_hash: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
    line: 31
    column: 0
    function: main
  location_invariant:
    string: s ==  ( a+1 ) * ( a+1 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c533bec8-bd94-4172-8ecf-e38334de7400
    creation_time: 2023-02-17T12:13:12.072129Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1-ll.c
      input_file_hashes:
        c/nla-digbench/sqrt1-ll.c: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1-ll.c
    file_hash: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
    line: 32
    column: 0
    function: main
  location_invariant:
    string: t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 58f1ee29-5be0-40a7-ba8f-66a54b89d0d1
    creation_time: 2023-02-17T12:13:12.072276Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1-ll.c
      input_file_hashes:
        c/nla-digbench/sqrt1-ll.c: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1-ll.c
    file_hash: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
    line: 43
    column: 0
    function: main
  location_invariant:
    string: t == 2*a+1
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: bd7377d0-c568-4a60-aa01-25e742a679bf
    creation_time: 2023-02-17T12:13:12.072389Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1-ll.c
      input_file_hashes:
        c/nla-digbench/sqrt1-ll.c: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1-ll.c
    file_hash: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
    line: 44
    column: 0
    function: main
  location_invariant:
    string: s ==  ( a+1 ) * ( a+1 ) 
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5d45fabc-bff3-41db-847b-6dbebdf8c786
    creation_time: 2023-02-17T12:13:12.072475Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench/sqrt1-ll.c
      input_file_hashes:
        c/nla-digbench/sqrt1-ll.c: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench/sqrt1-ll.c
    file_hash: 5a667cf640b9cf5657756f4ca44157e13471ed71aebfaf7ff11f9d5251db37ae
    line: 45
    column: 0
    function: main
  location_invariant:
    string: t*t-4*s+2*t+1 == 0
    type: assertion
    format: C

